<?php
/**
 * Laden von Player-Stats
 * 
 * @package EoT-Clan BF3 Leaderboard
 * @copyright Eichi (Stefan Eichhorst)
 * @author Eichi - eichi@blubbbel.eu
 */
 



class stats {
	
	/**
	 * Holt sich Statistiken eines Spieler oder alles Spieler.
	 * Der zweite Parameter bestimmt welche Felder abgefragt werden sollen.
	 * 
	 * @param Integer $iPlayer = 0
	 * @param String  $sFields = '*'
	 * @param Integer $iRow    = -1
	 */
	public static function getStats($iPlayer = 0, $sFields = '*', $iRow = -1){
		$sError = '';
		if ($iPlayer == 0){
			$sWhere = "1";
		}else{
			$sWhere = "pid = {$iPlayer}";
		}
		
		global $row;
		
		if ($row['defaultSort'] == ""){
			$DefaultSort = "points";
		}else{
			$DefaultSort = $row['defaultSort'];
		}
		
		  
		if(!isset($_GET['sort'])) {
     $strsort = "desc";
    }else{
     $strsort = mysql_real_escape_string($_GET['sort']);
    } 
	   
	   
		  
    if(!isset($_GET['tab'])){
      $tab = $DefaultSort;  
    }else{
      $tab = $_GET['tab'];
    }
		
    
		$sSql = "
			SELECT 
				a.{$sFields},
				a.kills / CASE WHEN a.deaths = 0 THEN ( 1 ) ELSE a.deaths END AS KD
			FROM 
				".DBPrefix."generalStats a
			WHERE
				{$sWhere} 
			ORDER BY 
				{$tab} {$strsort}
		";
		$rResult = mysql_query($sSql) or $sError = 'Error in Query: ' . mysql_error() . ' in SQL: ' . print_r($sSql, true);
		if ($sError != ''){
			return $sError;
		} else {
			while ($oRow = mysql_fetch_assoc($rResult)) $aoRows[] = $oRow;
			
			if ($iRow >= 0){
				return $aoRows[$iRow];
			} else {
         if(!isset($aoRows)){
         $aoRows = 0;
         }else{
				return $aoRows;
			 }
			}
		}
	}
	
}